Subject: Re: linux-next: Tree for Jul 31 - s390 crypto build breakage

From: Heiko Carstens <[email-masked]>
Date: Wed, 31 Jul 2019 10:58:20 +0200

On Wed, Jul 31, 2019 at 04:39:15PM +1000, Stephen Rothwell wrote:
> Hi all,
> Changes since 20190730:

Hello Ard,

two of your patches in the crypto tree cause build breakage on s390:

The patch ("crypto: aes - create AES library based on the fixed time AES code")
causes this:

arch/s390/crypto/aes_s390.c:111:13: error: conflicting types for 'aes_encrypt'
  111 | static void aes_encrypt(struct crypto_tfm *tfm, u8 *out, const u8 *in)
      |             ^~~~~~~~~~~

And the commit ("crypto: aegis128 - add support for SIMD acceleration") causes
another build breakage:

crypto/aegis128-core.c:19:10: fatal error: asm/simd.h: No such file or directory
   19 | #include <asm/simd.h>
      |          ^~~~~~~~~~~~